﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using ZooContracts.BindingModels;
using ZooContracts.SearchModel;
using ZooContracts.ViewModels;

namespace ZooContracts.BusinessLogicsContracts
{
    public interface IEmployeeLogic
    {
        List<EmployeeViewModel>? ReadList(EmployeeSearchModel? model);
        EmployeeViewModel? ReadElement(EmployeeSearchModel model);
        bool Create(EmployeeBindingModel model);
        bool Update(EmployeeBindingModel model);
        bool Delete(EmployeeBindingModel model);
    }
}
