﻿using Microsoft.EntityFrameworkCore;
using ZooDatabaseImplement.Models;
using System.Collections.Generic;
using ZooDatabaseImplements.Models;

namespace ZooDatabaseImplements
{
    public class ZooDatabase : DbContext
    {
        protected override void OnConfiguring(DbContextOptionsBuilder optionsBuilder)
        {
            if (optionsBuilder.IsConfigured == false)
            {
                optionsBuilder.UseSqlServer(@"Data Source=LAPTOP-5NJEOK79\SQLEXPRESS;Database=SchoolDataBaseFull;Integrated Security=True;MultipleActiveResultSets=True;;TrustServerCertificate=True");
            }
            base.OnConfiguring(optionsBuilder);

        }
        public virtual DbSet<Client> Clients { set; get; }
        public virtual DbSet<RouteReserve> RouteReserves { set; get; }
        public virtual DbSet<Employee> Employees { set; get; }
        public virtual DbSet<Payment> Payments { set; get; }
        public virtual DbSet<Cost> Costs { set; get; }
        public virtual DbSet<Route> Routes { set; get; }
        public virtual DbSet<Reserve> Reserves { set; get; }
        public virtual DbSet<RouteCost> RouteCosts { set; get; }
    }
}
}
