﻿using Microsoft.Extensions.Logging;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using ZooContracts.BindingModels;
using ZooContracts.BusinessLogicsContracts;

namespace ZooBusinessLogic.BusinessLogics
{
    public class ReportLogic : IReportLogic
    {
        private readonly IRouteStorage _RouteStorage;
        private readonly ILogger _logger;

        public ReportLogic(ILogger _logger, IRouteStorage RouteStorage)
        {
            //_logger = logger;
            _RouteStorage = RouteStorage;
        }
        /// <summary>
        /// Получение списка кружков с указанием списка затрат по ним за определенное время
        /// </summary>
        /// <returns></returns>
        public List<ReportRouteReservesViewModel> GetReserveRoutes(ReportBindingModel model)
        {
            return _RouteStorage.GetReserveRoutes(new() { SelectedRoutesIds = model.SelectedRoutes });
        }

        public void SaveComponentsToWordFile(ReportBindingModel model)
        {
            throw new NotImplementedException();
        }

        public void SaveManufactureComponentToExcelFile(ReportBindingModel model)
        {
            throw new NotImplementedException();
        }

        public void SaveOrdersToPdfFile(ReportBindingModel model)
        {
            throw new NotImplementedException();
        }
    }
}
