﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ZooDataModels.Models
{
    public interface IPaymentModel : IId
    {
        /// <summary>
		/// Оплаченная сумма
		/// </summary>
		public double PaySum { get; set; }
        /// <summary>
        /// Дата платежа
        /// </summary>
        public DateTime? DateOfPayment { get; set; }
        /// <summary>
        /// Id заповедника маршрута
        /// </summary>
        public int RouteReserveId { get; set; }
    }
}
